
Foreman - Bug #36517

Host count for IPv6 subnet is always 0 and links to a wrong search

06/19/2023 08:58 AM - Ewoud Kohl van Wijngaarden

Status: Ready For Testing   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9739

  

Description

If you go to the subnet list there is a column Host count but for IPv6 it's always 0. The search links to subnet.name= instead of

subnet6.name.

Associated revisions

Revision 2eacedba - 09/19/2023 10:30 AM - Ewoud Kohl van Wijngaarden

Refs #36517 - Correct host search for IPv6 on subnet list

The search linked to subnet.name= instead of subnet6.name, which meant

there was nothing found.

This doesn't address the bug that it doesn't look at IPv6 subnets for

the count.

History

#1 - 06/19/2023 09:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9739 added
